iDaft 2 App Problem

Discussion in 'iPad Apps' started by d3ath, Sep 3, 2010.

  1. d3ath macrumors newbie

    d3ath

    Joined:
    Jul 22, 2010
    Location:
    Windsor, Canada
    #1
    I don't know why when I keep trying to add the iDaft 2 app to the iPad through iTunes it keeps giving me an error of "This app requires the latest version of iPad software". Even though I do have the latest version of the iPad due to Apple shipping new iPads with 3.2.2, it still keeps me this error. I am wondering if anyone else can try adding this app to their iPad and see if this error appears again.
    Note: I have also try searching the app through the app store on the iPad, but it gives me no results, however on iTunes on the Mac, I can find it. Even though this is an iPhone, iPod Touch app, it should still work on the iPad, just scaling it up in size.

    Thank,
    d3ath
     
  2. mgipe macrumors demi-god

    mgipe

    Joined:
    Oct 6, 2009
    Location:
    CA
    #2
    Being an iPhone app, it probably requires iOS 4, which is not yet available for the iPad.
     
  3. d3ath thread starter macrumors newbie

    d3ath

    Joined:
    Jul 22, 2010
    Location:
    Windsor, Canada

Share This Page